Cygport Reference Manual

### TABLE OF CONTENTS

- gtkmm.cygclass

- CATEGORY (gtkmm)
- SUMMARY (gtkmm)
- HOMEPAGE (gtkmm)
- gtkmm_autoreconf
- gtkmm_compile
- gtkmm_test
- src_compile (gtkmm)
- src_test (gtkmm)

## gtkmm.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit gtkmm

DESCRIPTION

The GTKmm project provides C++ bindings for most of the GNOME library stack. Packages are autotools-based with some custom aclocal macros and Makefile segments. Doxygen API documentation is included in most packages.

This cygclass builds the GTKmm binding packages.

INHERITS

autotools.cygclass, gnome.org.cygclass

## CATEGORY (gtkmm)

[ Top ] [ gtkmm.cygclass ] [ Overloads ]

DEFINITION

    CATEGORY="Libs"

## SUMMARY (gtkmm)

[ Top ] [ gtkmm.cygclass ] [ Overloads ]

DEFINITION

    SUMMARY="GNOME C++ bindings for ${ORIG_PN/mm/}-${PV_MAJ}.x"

## HOMEPAGE (gtkmm)

[ Top ] [ gtkmm.cygclass ] [ Overloads ]

DEFINITION

    HOMEPAGE="https://www.gtkmm.org/"

## gtkmm_autoreconf

[ Top ] [ gtkmm.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $S
      gtkmm_autoreconf

DESCRIPTION

Updates the autotool build system with cygautoreconf.

WARNING

Skipping this step is strongly discouraged. Patches to configure.ac, aclocal macros, or Makefile.am files will not take effect until their tools have been regenerated. Also, Cygwin's libtool package often includes patches which are not yet available in the latest upstream release, so libraries may not be built optimally, or even correctly, without this step having been run.

REQUIRES

autoconf, automake, libtool, mm-common, pkg-config

## gtkmm_compile

[ Top ] [ gtkmm.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      gtkmm_compile [CONFIGURE_FLAGS]

DESCRIPTION

Calls cygconf, followed by cygmake. All arguments to gtkmm_compile are passed to cygconf as configure flags.

## gtkmm_test

[ Top ] [ gtkmm.cygclass ] [ Testsuite Functions ]

SYNOPSIS

      cd $B
      gtkmm_test

DESCRIPTION

Runs the test programs with "make check".

NOTE

Not all GTKmm bindings include tests.

## src_compile (gtkmm)

[ Top ] [ gtkmm.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${S}
            gtkmm_autoreconf
            cd ${B}
            gtkmm_compile
    }

## src_test (gtkmm)

[ Top ] [ gtkmm.cygclass ] [ Overloads ]

DEFINITION

    src_test() {
            cd ${B}
            gtkmm_test
    }